Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.wlevs.management.configuration
Interface StageMBean

All Known Subinterfaces:
  AdapterMBean, EPLProcessorMBean, StreamMBean

public interface StageMBean
extends ConfigurationMBean

Method Summary
`ObjectName` | `createMonitoringMetricAvgLatency(long averageInterval, TimeUnit unit)` Monitor the average latency of events between two endpoints.
`ObjectName` | `createMonitoringMetricAvgLatencyThreshold(long averageInterval, long threshold, TimeUnit unit)` Monitor if the average latency of events between two endpoints cross a threshold.The endpints for a stage is defined as the ENTRY and EXIT points of a stage.
`ObjectName` | `createMonitoringMetricAvgThroughput(Endpoint.Stagepoint stagepoint, long throughputInterval, long averageInterval, TimeUnit unit)` Monitor the average throughput of events in an endpoint.
`ObjectName` | `createMonitoringMetricAvgThroughput(long throughputInterval, long averageInterval)` This method creates a `StageMonitoringMetricRuntimeMBean` which monitors the average throughput for a Stage.
`ObjectName` | `createMonitoringMetricAvgThroughput(long throughputInterval, long averageInterval, TimeUnit unit)` This method creates a `StageMonitoringMetricRuntimeMBean` which monitors the average throughput for a Stage.
`ObjectName` | `createMonitoringMetricMaxLatency(long averageInterval, TimeUnit unit)` Monitor the maximum latency of events between two endpoints.The endpints for a stage is defined as the ENTRY and EXIT points of a stage.
`void` | `disableMonitoring()` This method disables the monitoring of a stage.
`void` | `enableMonitoring()` This method enables monitoring of a stage.
`String` | `getStageType()` This method will return the type of Stage this MBean represents
`boolean` | `monitored()` This method returns the status of the monitoring of a Stage

Methods inherited from interface com.bea.wlevs.management.WebLogicMBean
`getMBeanInfo, getName, getObjectName, getType, isRegistered`

Method Detail

### getStageType

    public String getStageType()

  This method will return the type of Stage this MBean represents

  Returns:
    - String indicating type of Stage

### createMonitoringMetricAvgThroughput

    public ObjectName createMonitoringMetricAvgThroughput(Endpoint.Stagepoint stagepoint,
                                                          long throughputInterval,
                                                          long averageInterval,
                                                          TimeUnit unit)
                                                   throws NotCompliantMBeanException,
                                                          com.bea.wlevs.management.ManagementException,
                                                          TooManyListenersException

       Monitor the average throughput of events in an endpoint.

       Throughput is defined as the number of events
        that goes through the endpoint per the throughputInterval
        parameter, defined in the unit parameter. Time unit must
        be either in SECS or MILLISECS, but not less.

       The average throughput is calculated by averaging the
        throughput across the averageInterval parameter

  This method creates a `StageMonitoringMetricRuntimeMBean` which monitors the average throughput for a Stage. The monitored value can be accessed by calling the method `StageMonitoringMetricRuntimeMBean.getMetric()`

  Parameters:
    `stagepoint` - - Specifies the points in a stage
    `throughputInterval` - - long throughput interval defined in TimeUnit unit
    `averageInterval` - - long average interval defined in TimeUnit unit
    `unit` - - TimeUnit time unit for throughput and average interval
  Returns:
    ObjectName - ObjectName of the MBean that was created for the monitoring metric
  Throws:
    IllegalArgumentException - if unit is not in SECS or MILLISECS, if intervals are less than 100 MILLISECS, if throughput interval is greater than average interval

### createMonitoringMetricAvgThroughput

    public ObjectName createMonitoringMetricAvgThroughput(long throughputInterval,
                                                          long averageInterval)
                                                   throws NotCompliantMBeanException,
                                                          com.bea.wlevs.management.ManagementException,
                                                          TooManyListenersException

       This method creates a StageMonitoringMetricRuntimeMBean which monitors the
       average throughput for a Stage. The monitored value can be accessed by calling the
       method StageMonitoringMetricRuntimeMBean.getMetric()

       The default value for a Stage point is EXIT
       The default value for TimeUnit is SECONDS

  Parameters:
    `throughputInterval` - -long throughputInterval defined in SECONDS
    `averageInterval` - - lon averageInterval defined in SECONDS
  Returns:
    ObjectName of the MBean that was created for the monitoring metric
  Throws:
    NotCompliantMBeanException -
    com.bea.wlevs.management.ManagementException -
    TooManyListenersException -

### createMonitoringMetricAvgThroughput

    public ObjectName createMonitoringMetricAvgThroughput(long throughputInterval,
                                                          long averageInterval,
                                                          TimeUnit unit)
                                                   throws NotCompliantMBeanException,
                                                          com.bea.wlevs.management.ManagementException,
                                                          TooManyListenersException

       This method creates a StageMonitoringMetricRuntimeMBean which monitors the
       average throughput for a Stage. The monitored value can be accessed by calling the
       method StageMonitoringMetricRuntimeMBean.getMetric()

       The default value for a Stage point is EXIT

  Parameters:
    `throughputInterval` - - long throughtput interval defined in `TimeUnit` unit
    `averageInterval` - -long averageInterval defined in `TimeUnit` unit
    `unit` - - unit TimeUnit for throughputInterval and averageInterval
  Returns:
    ObjectName of the MBean that was created for the monitoring metric
  Throws:
    NotCompliantMBeanException -
    com.bea.wlevs.management.ManagementException -
    TooManyListenersException -
  See Also:
    `TimeUnit`

### createMonitoringMetricAvgLatency

    public ObjectName createMonitoringMetricAvgLatency(long averageInterval,
                                                       TimeUnit unit)
                                                throws NotCompliantMBeanException,
                                                       com.bea.wlevs.management.ManagementException,
                                                       TooManyListenersException

       Monitor the average latency of events between two
        endpoints. The endpints for a stage is defined as the
       ENTRY and EXIT
       points of a stage.

       Latency is defined as the time it takes a event to
        flow between two endpoints.

       The average latency is calculated by averaging the
        latency across the averageInterval parameter.

  This method creates a `StageMonitoringMetricRuntimeMBean` which monitors the average latency for a Stage. The monitored value can be accessed by calling the method `StageMonitoringMetricRuntimeMBean.getMetric()`

  Parameters:
    `averageInterval` - - long average interval defined in TimeUnit unit
    `unit` - - TimeUnit time unit for throughput and average interval
  Returns:
    ObjectName of the MBean that was created for the monitoring metric
  Throws:
    IllegalArgumentException - if unit is not in SECS or MILLISECS, if intervals are less than 100 MILLISECS,
  See Also:
    `TimeUnit`

### createMonitoringMetricAvgLatencyThreshold

    public ObjectName createMonitoringMetricAvgLatencyThreshold(long averageInterval,
                                                                long threshold,
                                                                TimeUnit unit)
                                                         throws NotCompliantMBeanException,
                                                                com.bea.wlevs.management.ManagementException,
                                                                TooManyListenersException

       Monitor if the average latency of events between two
        endpoints cross a threshold.The endpints for a stage is defined as the
       ENTRY and EXIT
       points of a stage.

       Latency is defined as the time it takes a event to
        flow between two endpoints.

       The average latency is calculated by averaging the
        latency across the averageInterval parameter.

  This method creates a `StageMonitoringMetricRuntimeMBean` which monitors the average latency threshold for a Stage. The monitored value can be accessed by calling the method `StageMonitoringMetricRuntimeMBean.getMetric()`

  Parameters:
    `averageInterval` - - long average interval defined in TimeUnit unit
    `threshold` - - long latency threshold used to emit MetricEvents when crossed
    `unit` - - TimeUnit time unit for throughput and average interval
  Returns:
    ObjectName of the MBean that was created for the monitoring metric
  Throws:
    IllegalArgumentException - if unit is not in SECS or MILLISECS, if intervals are less than 100 MILLISECS
  See Also:
    `TimeUnit`

### createMonitoringMetricMaxLatency

    public ObjectName createMonitoringMetricMaxLatency(long averageInterval,
                                                       TimeUnit unit)
                                                throws NotCompliantMBeanException,
                                                       com.bea.wlevs.management.ManagementException,
                                                       TooManyListenersException

       Monitor the maximum latency of events between two
       endpoints.The endpints for a stage is defined as the
       ENTRY and EXIT
       points of a stage.

       Latency is defined as the time it takes a event to
        flow between two endpoints.

       The maximum latency is the highest latency to occur during the maxInterval parameter.

  This method creates a `StageMonitoringMetricRuntimeMBean` which monitors the max latency for a Stage. The monitored value can be accessed by calling the method `StageMonitoringMetricRuntimeMBean.getMetric()`

  Parameters:
    `averageInterval` - - long average interval defined in TimeUnit unit
    `unit` - - TimeUnit time unit for throughput and average interval
  Returns:
    ObjectName of the MBean that was created for the monitoring metric
  Throws:
    IllegalArgumentException - if unit is not in SECS or MILLISECS, if intervals are less than 100 MILLISECS
  See Also:
    `TimeUnit`

### enableMonitoring

    public void enableMonitoring()
                          throws InstanceNotFoundException,
                                 JMException,
                                 com.bea.wlevs.management.ManagementException

  This method enables monitoring of a stage. It enables the configuration attribute `monitoring` in the schema of the stage

  Throws:
    InstanceNotFoundException -
    JMException -
    com.bea.wlevs.management.ManagementException -

### disableMonitoring

    public void disableMonitoring()
                           throws InstanceNotFoundException,
                                  JMException,
                                  com.bea.wlevs.management.ManagementException

  This method disables the monitoring of a stage. It disables the configuration attribute `monitoring` in the schema of the stage

  Throws:
    InstanceNotFoundException -
    JMException -
    com.bea.wlevs.management.ManagementException -

### monitored

    public boolean monitored()
                      throws InstanceNotFoundException,
                             JMException,
                             com.bea.wlevs.management.ManagementException

  This method returns the status of the monitoring of a Stage

  Returns:
    - boolean - which is the status of monitoring for a stage
  Throws:
    InstanceNotFoundException -
    JMException -
    com.bea.wlevs.management.ManagementException -

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD